summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2019-08-01 19:45:41 +0200
committer Willy Sudiarto Raharjo2019-08-01 19:45:41 +0200
commited2873b79768098aefa030f6dc32f080b73447f4 (patch)
tree259e68f1243c6743f74e17d2b4f99d8eb265408e /academic
parent854642a0cbceed233f5522d26726381cb071ceea (diff)
downloadslackbuilds-ed2873b79768098aefa030f6dc32f080b73447f4.tar.gz
academic/RAxML: Added (Randomized Axelerated Maximum Likelihood).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/RAxML/RAxML.SlackBuild155
-rw-r--r--academic/RAxML/RAxML.info10
-rw-r--r--academic/RAxML/README16
-rw-r--r--academic/RAxML/References4
-rw-r--r--academic/RAxML/slack-desc19
5 files changed, 204 insertions, 0 deletions
diff --git a/academic/RAxML/RAxML.SlackBuild b/academic/RAxML/RAxML.SlackBuild
new file mode 100644
index 0000000000..0c4e98a6ce
--- /dev/null
+++ b/academic/RAxML/RAxML.SlackBuild
@@ -0,0 +1,155 @@
+#!/bin/sh
+
+# Slackware build script for RAxML
+
+# Copyright 2019 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=RAxML
+VERSION=${VERSION:-8.2.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf standard-$PRGNAM-$VERSION
+tar xvf $CWD/standard-$PRGNAM-$VERSION.tar.gz
+cd standard-$PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Build executables with the default Slackware compiler flags.
+
+# Sequential version
+cp Makefile.gcc Makefile
+sed -i "/^CFLAGS/s/=/+=/" Makefile
+sed -i "s|raxmlHPC|raxml|g" Makefile
+CFLAGS="$SLKCFLAGS" \
+make -f Makefile
+install -D -m755 raxml $PKG/usr/bin/raxml
+
+# Openmpi version
+cp Makefile.MPI.gcc Makefile.MPI
+sed -i "/^CFLAGS/s/=/+=/" Makefile.MPI
+sed -i "s|raxmlHPC-MPI|raxml-MPI|g" Makefile.MPI
+CFLAGS="$SLKCFLAGS" \
+make -f Makefile.MPI
+install -D -m755 raxml-MPI $PKG/usr/bin/raxml-MPI
+
+##########################################################################
+### You are highly encouraged to try the other optimisations below for ###
+### performance enhancements. Just uncomment the corresponding lines. ###
+##########################################################################
+
+## Default sequential version
+#make -f Makefile.gcc
+#install -D -m755 raxmlHPC $PKG/usr/bin/raxmlHPC
+
+#make -f Makefile.SSE3.gcc
+#install -D -m755 raxmlHPC-SSE3 $PKG/usr/bin/raxmlHPC-SSE3
+
+#make -f Makefile.AVX.gcc
+#install -D -m755 raxmlHPC-AVX $PKG/usr/bin/raxmlHPC-AVX
+
+## Pthreads version
+#make -f Makefile.PTHREADS.gcc
+#install -D -m755 raxmlHPC-PTHREADS $PKG/usr/bin/raxmlHPC-PTHREADS
+
+#make -f Makefile.SSE3.PTHREADS.gcc
+#install -D -m755 raxmlHPC-PTHREADS-SSE3 $PKG/usr/bin/raxmlHPC-PTHREADS-SSE3
+
+#make -f Makefile.AVX.PTHREADS.gcc
+#install -D -m755 raxmlHPC-PTHREADS-AVX $PKG/usr/bin/raxmlHPC-PTHREADS-AVX
+
+## Default coarse-grain MPI version
+#make -f Makefile.MPI.gcc
+#install -D -m755 raxmlHPC-MPI $PKG/usr/bin/raxmlHPC-MPI
+
+#make -f Makefile.SSE3.MPI.gcc
+#install -D -m755 raxmlHPC-MPI-SSE3 $PKG/usr/bin/raxmlHPC-MPI-SSE3
+
+#make -f Makefile.AVX.MPI.gcc
+#install -D -m755 raxmlHPC-MPI-AVX $PKG/usr/bin/raxmlHPC-MPI-AVX
+
+## Hybrid MPI/Pthreads version
+# Before using this version, please read this paper here:
+# http://sco.h-its.org/exelixis/pubs/Exelixis-RRDR-2010-3.pdf
+# and look at these slides:
+# http://sco.h-its.org/exelixis/resource/doc/Phylo100225.pdf
+#make -f Makefile.HYBRID.gcc
+#install -D -m755 raxmlHPC-HYBRID $PKG/usr/bin/raxmlHPC-HYBRID
+
+#make -f Makefile.SSE3.HYBRID.gcc
+#install -D -m755 raxmlHPC-HYBRID-SSE3 $PKG/usr/bin/raxmlHPC-HYBRID-SSE3
+
+#make -f Makefile.AVX.HYBRID.gcc
+#install -D -m755 raxmlHPC-HYBRID-AVX $PKG/usr/bin/raxmlHPC-HYBRID-AVX
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Copy the useful scripts
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a usefulScripts $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README manual $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/RAxML/RAxML.info b/academic/RAxML/RAxML.info
new file mode 100644
index 0000000000..a6ef346e17
--- /dev/null
+++ b/academic/RAxML/RAxML.info
@@ -0,0 +1,10 @@
+PRGNAM="RAxML"
+VERSION="8.2.12"
+HOMEPAGE="https://cme.h-its.org/exelixis/web/software/raxml/index.html"
+DOWNLOAD="https://github.com/stamatak/standard-RAxML/archive/v8.2.12/standard-RAxML-8.2.12.tar.gz"
+MD5SUM="4ac68b0156bc52fe056207ba8ef719d2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="openmpi"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/RAxML/README b/academic/RAxML/README
new file mode 100644
index 0000000000..b03ec92b2e
--- /dev/null
+++ b/academic/RAxML/README
@@ -0,0 +1,16 @@
+RAxML - Randomized Axelerated Maximum Likelihood
+
+RAxML is a program for sequential and parallel Maximum Likelihood (ML)
+based inference of large phylogenetic trees. It can also be used for
+postanalyses of sets of phylogenetic trees, analyses of alignments and,
+evolutionary placement of short reads.
+
+NOTE!
+The script builds single threaded and mpi versions of the executable
+with Slackware's default compiler flags. You are highly encouraged to
+check the script for building with other flags and optimisations. This
+will dramatically speed up RAxML on modern processors.
+
+When using RAxML please cite the following paper: A. Stamatakis:
+"RAxML Version 8: A tool for Phylogenetic Analysis and Post-Analysis of
+Large Phylogenies". In Bioinformatics, 2014
diff --git a/academic/RAxML/References b/academic/RAxML/References
new file mode 100644
index 0000000000..971db2e337
--- /dev/null
+++ b/academic/RAxML/References
@@ -0,0 +1,4 @@
+When using RAxML please cite the following paper: A. Stamatakis:
+"RAxML Version 8: A tool for Phylogenetic Analysis and Post-Analysis of
+Large Phylogenies". In Bioinformatics, 2014, open access.
+
diff --git a/academic/RAxML/slack-desc b/academic/RAxML/slack-desc
new file mode 100644
index 0000000000..7dbc6b8967
--- /dev/null
+++ b/academic/RAxML/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+RAxML: RAxML (Randomized Axelerated Maximum Likelihood)
+RAxML:
+RAxML: RAxML is a program for sequential and parallel Maximum Likelihood
+RAxML: (ML) based inference of large phylogenetic trees. It can also be
+RAxML: used for postanalyses of sets of phylogenetic trees, analyses of
+RAxML: alignments and, evolutionary placement of short reads.
+RAxML:
+RAxML: https://cme.h-its.org/exelixis/web/software/raxml/index.html
+RAxML: https://github.com/stamatak/standard-RAxML
+RAxML:
+RAxML: